
using Godot;


namespace Rokojori
{  
  [GlobalClass ]
  public partial class SetTimeLineSpeed : RJAction
  {
    [Export]
    public RJTimeLine timeline;

    [Export]
    public float speed = 1;

    public override void _OnTrigger()
    {
      var tm = Unique<TimeLineManager>.Get();      
      tm.SetSpeed( timeline, speed );
    }

  }
}