using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class ShakeEffect:Resource
  {    
    
    [Export]
    public AnimationCurve shakeCurve;

    [Export]
    public Vector3 positionShake = Vector3.Zero;
    [Export]
    public Vector3 positionShakeRandom = Vector3.Zero;

    [Export]
    public Vector3 rotationShake = Vector3.Zero;
    [Export]
    public Vector3 rotationShakeRandom = Vector3.Zero;

    [Export]
    public Vector3 scaleShake = Vector3.Zero;
    [Export]
    public Vector3 scaleShakeRandom = Vector3.Zero;
    [Export]
    public bool scaleIsPercentage = true;

    [Export]
    public RJTimeLine timeline;

       

  }
}